Name:           scons
Version:        2.5.1
Release:        %mkrel 2
Summary:        Open Source software construction tool
License:        MIT
Group:          Development/Other
URL:            http://www.scons.org/
Source0:        %{name}-%{version}.tar.xz
Source1:	scons.macros
Requires:       python >= 2.7
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes:	%name < %version
Obsoletes:	python-scons < %version
Provides:	python-scons = %version-%release

%description
SCons is an Open Source software construction tool--that is, a build
tool; an improved substitute for the classic Make utility; a better way
to build software. SCons is based on the design which won the Software
Carpentry build tool design competition in August 2000.

SCons "configuration files" are Python scripts, eliminating the need
to learn a new build tool syntax. SCons maintains a global view of
all dependencies in a tree, and can scan source (or other) files for
implicit dependencies, such as files specified on #include lines. SCons
uses MD5 signatures to rebuild only when the contents of a file have
really changed, not just when the timestamp has been touched. SCons
supports side-by-side variant builds, and is easily extended with user-
defined Builder and/or Scanner objects.

%prep
%setup

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES --symlink-scons --standard-lib

# install scons rpm macro helper
install -D %{SOURCE1} %{buildroot}%{_sysconfdir}/rpm/macros.d/scons.macros

%{__mkdir_p} %{buildroot}%{_mandir}
%{__mv} %{buildroot}%{_prefix}/man/* %{buildroot}%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_sysconfdir}/rpm/macros.d/scons.macros
%doc %{_mandir}/man1/scons.1*
%doc %{_mandir}/man1/sconsign.1*
%doc %{_mandir}/man1/scons-time.1*

%{py_puresitedir}/*

%changelog
* Fri Sep 15 2017 bb2 <bb2> - 2.5.1-2pclos2017
- rebuild

* Sat Nov 19 2016 bb <bb> - 2.5.1-1pclos2016
- update

* Fri Apr 15 2016 bb <bb> - 2.5.0-1pclos2016
- update

